;            ͻ
;                   FILES.ASM       
;                                                               
;                          Useless Files Manager                
;            ĺ
;               By Freddy Vtel (FreddyV/Useless)              
;                                                               
;               Code Starts .................. 31/03/1996       
;               Lest Update .................. 24/08/1996       
;            ͼ

.386

CODE32 SEGMENT PUBLIC PARA 'CODE' USE32
ASSUME  CS:CODE32,DS:CODE32,ES:CODE32

INCLUDE FILES.INC

;=============================================================================

;͸
;  fopen: Open a file                                                     
;                                                                         
; Input: EDX, pointer to the file name (terminated with a 0)              
;        AL,  Access mode (00h read only, 01h write only, 02 read/write ) 
;                                                                         
; Output: CF Set=> Error                                                  
;         AX returns the error number                                     
;                                                                         
;         CF Clear                                                        
;         AX file handle                                                  
;
fopen proc
        mov ah,3Dh		; open a file function
        int 21h
	ret
fopen endp

;͸
;  fcreate: Create a file                                                 
;                                                                         
; Input: EDX, pointer to the file name (terminated with a 0)              
;                                                                         
; Output: CF Set=> Error                                                  
;         AX returns the error number                                     
;                                                                         
;         CF Clear                                                        
;         AX file handle                                                  
;
fcreate proc
        mov ax,3C02h            ; creat a file function
        xor ecx,ecx
        int 21h
	ret
fcreate endp

;͸
;  fclose: Close a file                                                   
;                                                                         
; Input: BX, file handle                                                  
;                                                                         
; Output: CF Set=> Error                                                  
;         AX returns the error number                                     
;                                                                         
;
fclose proc
	mov ah,03Eh         ; close a file function
        int 21h
	ret
fclose endp

;͸
;  fsetpos: Set/read the file pos                                         
;                                                                         
; Input: AL  origin of move						   	
;         00h start of file						   
;         01h current file position					   
;         02h end of file						   
;        BX  file handle						   
;        EDX  offset from origin of new file position			   	
;                                                                         
; Output: CF Set=> Error                                                  
;         AX returns the error number                                     
;                                                                         
;         CF Clear                                                        
;         EAX new file position in bytes from start of file               
;
fsetpos proc
	mov ah,42h
	int 21h
	ret
fsetpos endp

;͸
;  fread: read to the file                                                
;                                                                         
; Input: EDX bufer offset						   	
;        ECX Length of the buffer                                         
;        BX  file handle						   
;                                                                         
; Output: CF Set=> Error                                                  
;         AX returns the error number                                     
;
fread  proc
        mov ah,3Fh
        int 21h
	ret
fread endp

;͸
;  fwrite: write to the file                                              
;                                                                         
; Input: EDX bufer offset						   	
;        ECX Length of the buffer                                         
;        BX  file handle						   
;                                                                         
; Output: CF Set=> Error                                                  
;         AX returns the error number                                     
;
fwrite proc
        mov ah,40h
        int 21h
	ret
fwrite endp

CODE32 ENDS
;=============================================================================
end
; FILES.ASM (c) 1997 FreddyV/Useless